***************************************************************************
*                                                                         *
*   Copyright (C) 1996 Leif Laaksonen, Dage Sundholm                      *
*   Copyright (C) 1996-2010 Jacek Kobus <jkob@fizyka.umk.pl>              *
*                                                                         *     
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License version 2 as     *
*   published by the Free Software Foundation.                            *
*                                                                         *
***************************************************************************
c ### inInt ###

c    Reads an integer from the array IA, starting at IA(istrt(jrec)) and
c    continuing for inumb(jrec)) elements. Plus signs are ignored, the
c    answer is accumulated in JBUF.

      subroutine inInt(jbuf)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      parameter (i40=40, i80=80)
      character*1 ia,ichar(14),itemp
      common/iochan/ iinp5,iinp11,iinp12,iinp13,iinp14,
     &               iout6,iout21,iout22,iout23,iout24
      common/work/jrec,jump,istrt(i40),inumb(i40),ia(i80)
      data ichar/'0','1','2','3','4','5','6','7','8','9',
     &           '+','&','^','-'/,inpiexit/-99999/

      jbuf = inpiexit
      jrec = jrec + 1
      if(jrec.gt.jump)goto 430
      jbuf=0
      n = inumb(jrec)
      ifact = 1
      ist=istrt(jrec)
      nstrt = ist + n - 1
      do i = 1,n
         itemp = ia(nstrt)
         do j=1,14
            if(ichar(j).eq.itemp) goto 45
         enddo
 44      write(iout6,*) 'Error detected in inpi'
         stop 'inInt'

 45      if(j.lt.11)goto 47
         if(nstrt.ne.ist)goto 44
         if(j.ge.14)jbuf=-jbuf
         goto 430
 47      jbuf=jbuf+(j-1)*ifact
         ifact = ifact * 10
         nstrt=nstrt-1
      enddo

430   return
      end
