***************************************************************************
*                                                                         *
*   Copyright (C) 1996 Leif Laaksonen, Dage Sundholm                      *
*   Copyright (C) 1996-2010 Jacek Kobus <jkob@fizyka.umk.pl>              *
*                                                                         *     
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License version 2 as     *
*   published by the Free Software Foundation.                            *
*                                                                         *
***************************************************************************
c ### plaguer ###		  	    

c     Evaluates and returns a value of the Laguerre polynomial

      function plaguer(n,l,cz,cr)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)		

      np=n-l-1
      lp=2*l+2
      x=cz*cr/dble(n)
      plaguer=cr**dble(l)*exp(-x)*hypg1f1(-np,lp,x+x)		    

      return
      end
