***************************************************************************
*                                                                         *
*   Copyright (C) 1996 Leif Laaksonen, Dage Sundholm                      *
*   Copyright (C) 1996-2010 Jacek Kobus <jkob@fizyka.umk.pl>              *
*                                                                         *     
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License version 2 as     *
*   published by the Free Software Foundation.                            *
*                                                                         *
***************************************************************************
c ### zeroArrays ###
c
c     Zeroise main arrays.

      subroutine zeroArrays (cw_orb,cw_coul,cw_exch,
     &                     cw_suppl,cw_sctch,cw_sor)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      integer*4 cw_sor
      include 'commons8.inc'
      dimension cw_orb(*),cw_coul(*),cw_exch(*),
     &     cw_suppl(*),cw_sctch(*),cw_sor(*)

      call zeroArray(length1,cw_orb)
      
      call zeroArray(length2,cw_coul)

      call zeroArray(length3,cw_exch)
      
      call zeroArray(length4,cw_suppl)

      call zeroArray(length5,cw_sctch)

      do i=1,length6
         cw_sor(i)=0
      enddo

c     off-diagonal Lagrange multipliers must be zero (see fock)

      n=maxorb*maxorb
      call zeroArray(n,engo)

      return
      end
